All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
to_fvar.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/fwd/core.hpp>`
`#include <stan/math/prim/mat/err/check_matching_dims.hpp>`
`#include <stan/math/prim/scal/meta/is_constant.hpp>`
`#include <boost/utility/enable_if.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T >
fvar< T > | stan::math::to_fvar (const T &x)
template<typename T >
fvar< T > | stan::math::to_fvar (const fvar< T > &x)
template<int R, int C, typename T >
Eigen::Matrix< T, R, C > | stan::math::to_fvar (const Eigen::Matrix< T, R, C > &m)
template<int R, int C>
Eigen::Matrix< fvar< double > , R, C > | stan::math::to_fvar (const Eigen::Matrix< double, R, C > &m)
template<typename T , int R, int C>
Eigen::Matrix< fvar< T >, R, C > | stan::math::to_fvar (const Eigen::Matrix< T, R, C > &val, const Eigen::Matrix< T, R, C > &deriv)

[ Stan Home Page ] © 2011–2015, Stan Development Team.